%global momorel 1

Name: boost-jam
Version: 3.1.12
Summary: Build tool for boost
Release: %{momorel}m
License: "Boost Software License"
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/boost/%{name}-%{version}.tgz 891c16c72753bb2d5b286253812f23b2
Group: Development/Tools
URL: http://www.boost.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

%prep
%setup -q

%build
LOCATE_TARGET=bin CC=gcc CFLAGS='%{optflags}' ./build.sh cc -d2

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/bjam %{buildroot}%{_bindir}/bjam-%{version}
ln -sf bjam-%{version} %{buildroot}%{_bindir}/bjam
#ln -sf bjam-%{version} %{buildroot}%{_bindir}/jam

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html LICENSE_1_0.txt
%{_bindir}/*

%changelog
* Tue Apr 18 2006 Msayuki SANO <nosanosa@momonga-linux.org>
- (3.1.12-1m)
- update to 3.1.12

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.7-3m)
- change URI

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.7-2m)
- revised spec for enabling rpm 4.2.

* Mon Oct 20 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (3.1.7-1m)
- update to 3.1.7
- remove boost-jam-opt.patch

* Tue Jun 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.1.4-1m)
- initial version for momonga
